[oe-commits] [bitbake] 07/26: toaster: bin Use python 3 for our django modules check

git at git.openembedded.org git at git.openembedded.org
Tue Jun 14 10:10:15 UTC 2016


rpurdie pushed a commit to branch master-next
in repository bitbake.

commit e7951541c34c5561187110ba0ec69b9c45022747
Author: Michael Wood <michael.g.wood at intel.com>
AuthorDate: Fri Jun 10 11:01:10 2016 +0100

    toaster: bin Use python 3 for our django modules check
    
    Explicitly use python3 so that the modules for python3 are checked.
    
    Signed-off-by: Michael Wood <michael.g.wood at intel.com>
---
 bin/toaster | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/bin/toaster b/bin/toaster
index be1bb9c..e3a0dae 100755
--- a/bin/toaster
+++ b/bin/toaster
@@ -115,7 +115,7 @@ verify_prereq() {
     exp='s/Django\([><=]\+\)\([^,]\+\),\([><=]\+\)\(.\+\)/'
     exp=$exp'import sys,django;version=django.get_version().split(".");'
     exp=$exp'sys.exit(not (version \1 "\2".split(".") and version \3 "\4".split(".")))/p'
-    if ! sed -n "$exp" $reqfile | python - ; then
+    if ! sed -n "$exp" $reqfile | python3 - ; then
         req=`grep ^Django $reqfile`
         echo "This program needs $req"
         echo "Please install with pip install -r $reqfile"

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the Openembedded-commits mailing list